<?php

class Section_Background_Rotator_Item_Module extends ET_Builder_Module
{

	public function init()
	{
		$this->icon_path = plugin_dir_path(__FILE__) . 'icon.svg';
		$this->slug = 'mw_section_background_rotator_item';
		$this->vb_support = 'on';
		$this->type = 'child';
		$this->name = esc_html__('Button Grid', 'dipi-divi-pixel');
		$this->main_css_element = '%%order_class%%.dipi_button_grid_child';
		$this->child_title_var = 'button_id';
		$this->advanced_setting_title_text = 'New Image';
		$this->settings_text = esc_html__('Image Settings', 'dipi-divi-pixel');
	}

	public function get_settings_modal_toggles()
	{
		return [
			'general' => [
				'toggles' => [
					'general' => esc_html__('General', 'dipi-divi-pixel'),
					'button_info' => esc_html__('Button Settings', 'dipi-divi-pixel'),
					'text_info' => esc_html__('Text Settings', 'dipi-divi-pixel'),
				],
			],
			'advanced' => [
				'toggles' => [
					'text_style' => esc_html__('Text Style', 'dipi-divi-pixel')
				]
			],
			'custom_css' => [
				'toggles' => [
					'classes' => esc_html__('CSS ID & Classes', 'dipi-divi-pixel'),
				],
			]
		];
	}

	public function get_custom_css_fields_config()
	{
		$fields = [];

		$fields['button_type'] = array(
			'label' => esc_html__('Button Style', 'dipi-divi-pixel'),
			'selector' => '%%order_class%% .button-wrap',
		);

		$fields['text_type'] = array(
			'label' => esc_html__('Text Style', 'dipi-divi-pixel'),
			'selector' => '%%order_class%% .text-wrap',
		);

		return $fields;
	}

	public function get_fields()
	{
		$fields = [];

		$fields["image"] = [
			'label' => 'Background Image',
			'type'               => 'upload',
			'option_category'    => 'basic_option',
			'upload_button_text' => et_builder_i18n( 'Upload an image' ),
			'choose_text'        => esc_attr__( 'Choose an Image', 'et_builder' ),
			'update_text'        => esc_attr__( 'Set As Image', 'et_builder' ),
			'description'        => esc_html__( 'Upload an image load as background.', 'et_builder' ),
		];

		return $fields;
	}

	public function get_advanced_fields_config()
	{
		$advanced_fields = [];
		return $advanced_fields;
	}
	

	public function render($attrs, $content, $render_slug)
	{
		$image = $this->props['image'];
		return $image;
	}
}

new Section_Background_Rotator_Item_Module();
